Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1910877 - Review Request: golang-github-oxffaa-gopher-parse-sitemap - High effective Golang library
Summary: Review Request: golang-github-oxffaa-gopher-parse-sitemap - High effective Go...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1910893
TreeView+ depends on / blocked
 
Reported: 2020-12-25 10:43 UTC by Fabian Affolter
Modified: 2022-04-06 00:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-06 00:45:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Fabian Affolter 2020-12-25 10:43:26 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-oxffaa-gopher-parse-sitemap.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-oxffaa-gopher-parse-sitemap-0.1-1.fc33.src.rpm

Project URL: https://github.com/oxffaa/gopher-parse-sitemap

Description:
A high effective golang library for parsing big-sized sitemaps and avoiding
high memory usage. The sitemap parser was written on golang without external
dependencies.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=58251177

rpmlint output:
$ rpmlint golang-github-oxffaa-gopher-parse-sitemap-0.1-1.fc33.src.rpm 
golang-github-oxffaa-gopher-parse-sitemap.src: W: spelling-error %description -l en_US sitemaps -> site maps, site-maps, campsites
golang-github-oxffaa-gopher-parse-sitemap.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint golang-github-oxffaa-gopher-parse-sitemap-devel-0.1-1.fc33.noarch.rpm 
golang-github-oxffaa-gopher-parse-sitemap-devel.noarch: W: spelling-error %description -l en_US sitemaps -> site maps, site-maps, campsites
golang-github-oxffaa-gopher-parse-sitemap-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/oxffaa/gopher-parse-sitemap/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2021-03-08 10:09:49 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Package Review 2022-03-06 09:33:40 UTC
Package was never imported.
The ticket status is being reset, since creating the repository will require a fresh approval.
Let us know if you're still interested in this package.

Comment 3 Package Review 2022-04-06 00:45:28 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.